curl --request POST \
--url https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": {
"baseUrls": [
"<string>"
]
},
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"cardType": "EXTERNAL",
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>",
"serverlessFunction": "<string>"
},
"title": "<string>"
}
'{
"actions": {
"baseUrls": [
"<string>"
]
},
"auditHistory": [
{
"actionType": "CREATE",
"applicationId": 123,
"authSource": "APP",
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Defines a new card that will become active on an account when this app is installed.
curl --request POST \
--url https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": {
"baseUrls": [
"<string>"
]
},
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"cardType": "EXTERNAL",
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>",
"serverlessFunction": "<string>"
},
"title": "<string>"
}
'{
"actions": {
"baseUrls": [
"<string>"
]
},
"auditHistory": [
{
"actionType": "CREATE",
"applicationId": 123,
"authSource": "APP",
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
The appId of the app containing the Legacy CRM Card(s)
successful operation
Show child attributes
A list of actions performed on the card, including creation, deletion, and updates.
Show child attributes
Show child attributes
Show child attributes
The unique id of the card.
The top-level title for this card. Displayed to users in the CRM UI.
The date and time when the card was created.
The date and time when the card was last updated.
Was this page helpful?